import React, { CSSProperties } from 'react';
export declare type LoadingProps = {
    style?: CSSProperties;
    className?: string;
    text?: string;
    background?: string;
    open: boolean;
    icon?: string;
    target?: string;
    duration?: number;
    cRef: React.RefObject<any>;
};
declare function LoadingEl(props: LoadingProps): JSX.Element;
declare namespace LoadingEl {
    var defaultProps: {
        style: string;
        className: string;
        text: string;
        background: string;
        icon: string;
        duration: number;
        target: string;
    };
}
export default LoadingEl;
