import './style.scss';
export declare type LoadingBarProps = {
    className?: string;
    status: 'start' | 'finish' | 'error' | 'update';
    color?: string;
    height?: number;
    percent?: number;
};
interface paramsProps {
    color?: string;
    height?: number;
    percent?: number;
}
declare const LoadingBar: {
    start: (params?: paramsProps) => void;
    finish: (params?: paramsProps) => void;
    error: (params?: paramsProps) => void;
    update: (params?: paramsProps) => void;
};
export default LoadingBar;
