import React, { ReactNode } from 'react';
import './style.scss';
interface PopOffsetProps {
    left: number;
    top: number;
    clientHeight: number;
    clientWidth: number;
}
export interface PopoverProps {
    content: string | ReactNode;
    title: string;
    visible: boolean | undefined;
    popOffset: PopOffsetProps;
    isHidden: boolean;
    placement?: string;
    changeHidden: (e: boolean) => void;
    trigger: 'hover' | 'focus' | 'click';
    containerDom: HTMLElement;
}
declare function PopoverItem(props: PopoverProps): JSX.Element;
declare namespace PopoverItem {
    var defaultProps: {
        placement: string;
    };
}
declare const _default: React.MemoExoticComponent<typeof PopoverItem>;
export default _default;
