import React, { CSSProperties } from 'react';
import './style.scss';
export declare type SwitchChangeEventHandler = (checked: boolean, event: React.MouseEvent<HTMLButtonElement> | React.KeyboardEvent<HTMLButtonElement>) => void;
export declare type SwitchClickEventHandler = SwitchChangeEventHandler;
export interface SwitchProps {
    disabled?: boolean;
    checked?: boolean;
    checkedChildren?: React.ReactNode;
    unCheckedChildren?: React.ReactNode;
    loading?: boolean;
    style?: CSSProperties;
    onChange?: SwitchChangeEventHandler;
    onClick?: SwitchClickEventHandler;
}
declare const Switch: React.FC<SwitchProps>;
export default Switch;
