import React, { CSSProperties } from 'react';
import './style.scss';
import { TimelineItemProps } from './TimelineItem';
export interface TimelineProps {
    mode?: 'left' | 'right' | 'middle';
    style?: CSSProperties;
    reverse?: boolean;
    children?: React.ReactNode;
}
declare const Timeline: {
    (props: TimelineProps): JSX.Element;
    Item: React.FC<TimelineItemProps>;
    defaultProps: {
        mode: string;
        style: null;
        reverse: boolean;
        children: null;
    };
};
export default Timeline;
