import React, { CSSProperties } from 'react';
import './style.scss';
export declare type BackTopProps = {
    style?: CSSProperties;
    className?: string;
    target: string;
    visibilityHeight?: number;
    children?: React.ReactNode;
};
declare function Backtop(props: BackTopProps): JSX.Element;
declare namespace Backtop {
    var defaultProps: {
        style: string;
        className: string;
        visibilityHeight: number;
        children: JSX.Element;
    };
}
export default Backtop;
