import React, { CSSProperties } from "react";
import "./style.scss";
export declare type CardProps = {
    style?: CSSProperties;
    size?: "default" | "small";
    cardType?: "outer" | "inner";
    className?: string;
    children?: React.ReactNode;
    cardTitle?: string;
    extraContent?: React.ReactNode;
    bordered?: boolean;
    cover?: React.ReactNode;
    shadows?: "hover" | "always" | "none";
    actions?: Array<React.ReactNode>;
};
declare function Card(props: CardProps): JSX.Element;
declare namespace Card {
    var defaultProps: {
        style: string;
        size: string;
        cardType: string;
        className: string;
        children: null;
        cardTitle: string;
        extraContent: null;
        bordered: boolean;
        cover: null;
        shadows: string;
        actions: null;
    };
}
export default Card;
