import { ReactNode } from 'react';
import './style.scss';
export declare type ConfirmProps = {
    title?: string;
    text?: string;
    icon?: string;
    lodingIcon?: string;
    confirmText?: string;
    cancelText?: string;
    confirmShow?: boolean;
    cancelShow?: boolean;
    closeShow?: boolean;
    displayed?: boolean;
    customClass?: string;
    children?: ReactNode;
    confirmCallback?: (e?: any) => any;
    cancelCallback?: (e?: any) => any;
    errorCallback?: (e: any) => any;
};
declare function Confirm(prop: ConfirmProps): JSX.Element;
declare namespace Confirm {
    var info: (props?: ConfirmProps | undefined) => Promise<boolean>;
}
export default Confirm;
