import React, { CSSProperties } from 'react';
import './style.scss';
export declare type emptyProps = {
    style?: CSSProperties;
    className?: string;
    description?: string | React.ReactNode | boolean;
    image?: string | React.ReactNode;
    imageStyle?: CSSProperties;
    children?: React.ReactNode;
};
declare function Empty(props: emptyProps): JSX.Element;
declare namespace Empty {
    var defaultProps: {
        style: string;
        className: string;
        description: string;
        image: JSX.Element;
        imageStyle: {};
        children: string;
    };
}
export default Empty;
