import type { ProgressProps } from './progress';
import './style.scss';
interface CircleProps extends ProgressProps {
    /**
     * 圆弧的宽度
     * @default  8
     */
    strokeWidth?: number;
    /**
     * 圆弧末尾使用的形状
     * @default butt
     */
    strokeLinecap?: 'butt' | 'round';
    /**
     * 圆环大小
     * @default 120
     */
    size?: number;
}
declare function Circle(props: CircleProps): JSX.Element;
declare namespace Circle {
    var defaultProps: {
        size: number;
        strokeWidth: number;
        strokeLinecap: string;
    };
}
export default Circle;
