import { CSSProperties } from 'react';
import './style.scss';
export declare type TableProps = {
    headStyle?: CSSProperties;
    bodyStyle?: CSSProperties;
    className?: string;
    border?: boolean;
    columns: Array<any>;
    dataSource: Array<any>;
    size?: 'large' | 'middle' | 'small';
};
declare function Table(props: TableProps): JSX.Element;
declare namespace Table {
    var defaultProps: {
        headStyle: string;
        bodyStyle: string;
        className: string;
        border: boolean;
        size: string;
    };
}
export default Table;
